# stylelens-search-vector
This is a API document for Vector search on bl-search-faiss\"

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import stylelens_search_vector 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import stylelens_search_vector
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import stylelens_search_vector
from stylelens_search_vector.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = stylelens_search_vector.SearchApi()
body = stylelens_search_vector.VectorSearchRequest() # VectorSearchRequest | 

try:
    # Query to search vector
    api_response = api_instance.search_vector(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SearchApi->search_vector: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://vector.stylelens.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SearchApi* | [**search_vector**](docs/SearchApi.md#search_vector) | **POST** /vectors | Query to search vector


## Documentation For Models

 - [Vector](docs/Vector.md)
 - [VectorSearchRequest](docs/VectorSearchRequest.md)
 - [VectorSearchResponse](docs/VectorSearchResponse.md)
 - [VectorSearchResponseData](docs/VectorSearchResponseData.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: HTTP header


## Author

bluehackmaster@bluehack.net

